# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      read_project_ini.py
# Author:       toast
# Datetime:     2024/9/7 上午10:09
# Description:
# 
# ---------------------------------------------------------------------------
import configparser
import os

from self_copy.apiAutoTest_v3 import log

class ReadProjectIni:
    def __init__(self):
        self.data_config = os.path.join(os.path.dirname(os.path.dirname(__file__)),"data_config")
        ini_path = os.path.join(self.data_config,"project_config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(ini_path,encoding="utf-8")

    def get_host(self,key):
        try:
            return self.conf.get("host",key)
        except Exception as e:
            log.error(f"方法get_host执行失败，形参为key传参为：{key}，错误为：{e}")
            raise e

    def get_sql_connect_msg(self,key):
        try:
            return self.conf.get("sql",key)
        except Exception as e:
            log.error(f"方法get_sql_connect_msg执行失败，形参为key传参为：{key}，错误为：{e}")
            raise e


if __name__ == '__main__':
    ini = ReadProjectIni()
    print(ini.get_host("host"))

