# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      read_user_ini.py
# Author:       toast
# Datetime:     2024/9/7 上午10:28
# Description:
# 
# ---------------------------------------------------------------------------
import configparser
import os

from self_copy.apiAutoTest_v3 import log


class ReadUserIni:
    def __init__(self,user_dir_name):
        data_config = os.path.join(os.path.dirname(os.path.dirname(__file__)),"data_config")
        self.user_dir = os.path.join(data_config,user_dir_name)
        ini_path = os.path.join(self.user_dir,"config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(ini_path,encoding="utf-8")

    def get_file_path(self,key):
        try:
            log.info(f"执行方法get_file_path为根据key获取file节点下key对应文件的路径，形参key的传参为{key}")
            file_name = self.conf.get("file",key)
        except Exception as e:
            log.error(f"方法get_file_path执行失败，传入形参key值为：{key},错误为：{e}")
            raise e
        else:
            return os.path.join(self.user_dir,file_name)

    def get_table_name(self,key):
        try:
            log.info(f"执行方法get_table_name为根据key获取table节点下key对应表名，形参key的传参为{key}")
            return self.conf.get("table",key)
        except Exception as e:
            log.error(f"方法get_table_name执行失败，传入形参key值为：{key},错误为：{e}")
            raise e
